Get token by address
GET /{chainId}/tokens/{address}
Response
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Fetch a Charity Token by chain and token address
GET /{chainId}/tokens/{address}
curl "https://www.donate.gg/api/v1/{chainId}/tokens/{address}"
| Parameter | Type | Description |
|---|---|---|
chainId | integer | Supported chain ID (see Chains) |
address | string | Token address (canonicalized for the chain type) |
{
"chain": { "id": 101, "name": "Solana", "type": "solana" },
"token": {
"address": "So11...",
"name": "Example Token",
"symbol": "EXMP",
"decimals": 6
},
"activeConfig": {
"id": { "hex": "0x1234...abcd", "base58": "3xYz..." },
"users": [],
"charities": [{ "id": "charity_abc", "weight": "60", "...": "..." }]
},
"previousConfigs": [
{
"id": { "hex": "0xabcd...1234", "base58": "4AbC..." },
"users": [],
"charities": [{ "id": "charity_def", "weight": "40", "...": "..." }]
}
],
"creatorAddress": "CreatorPubkey..."
}
| Status | Code | Description |
|---|---|---|
400 | VALIDATION_ERROR | Invalid chain ID or token address |
400 | CHAIN_NOT_SUPPORTED | Chain is not supported |
404 | NOT_FOUND | Token not found |
Was this page helpful?